/*
 * Click nbfs://nbhost/SystemFileSystem/Templates/Licenses/license-default.txt to change this license
 */

package com.jcg.objecttransformationexample;

import java.util.Arrays;
import java.util.List;
import java.util.stream.Collectors;

/**
 *
 * @author omozegieaziegbe
 */
public class ObjectTransformationExample {

    public static void main(String[] args) {
        // Create a list of Person objects
        List<Person> persons = Arrays.asList(
                new Person("John", 40),
                new Person("Shedrach", 50),
                new Person("Fred", 60)
        );

        // Convert the list of Person objects to a list of String objects (names)
        List<String> names = persons.stream()
                .map(Person::getName)
                .collect(Collectors.toList());
        
        // Convert the list of Person objects to a list of Integer objects (age)
        List<Integer> age = persons.stream()
                .map(Person::getAge)
                .collect(Collectors.toList());

        // Print the result
        System.out.println(names);
        System.out.println(age);
    }
}
