/*
 * Click nbfs://nbhost/SystemFileSystem/Templates/Licenses/license-default.txt to change this license
 */

package com.jcg.persontoemployee;

import java.util.ArrayList;
import java.util.List;

/**
 *
 * @author omozegieaziegbe
 */
public class PersonToEmployee {

    public static void main(String[] args) {
        
        // Create a list of Person objects
        List<Person> personList = new ArrayList<>();
        personList.add(new Person("John", 25));
        personList.add(new Person("Michelle", 30));
        personList.add(new Person("James", 28));

        // Convert the list of Person objects to a list of Employee objects using List.forEach()
        List<Employee> employeeList = new ArrayList<>();
        personList.forEach(person -> {
            Employee employee = new Employee(person.getName(), person.getAge(), generateEmployeeId());
            employeeList.add(employee);
        });

        // Print the converted list of Employee objects
        employeeList.forEach(employee -> System.out.println("Employee: " + employee.getName() + ", Employee ID: " + employee.getEmployeeId()));
    }
    
        // A simple method to generate unique employee IDs
    private static int generateEmployeeId() {      
        // return a random number for demonstration purposes
        return (int) (Math.random() * 100);
    }
}